## org.codehaus.groovy.grails.web.servlet
Class WrappedResponseHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WrappedResponseHolder

    public class WrappedResponseHolder

extends Object

A holder for the original Wrapped response for use when using includes

Since:
  0.5

  Created: Mar 8, 2007 Time: 8:16:22 AM
Author:
  Graeme Rocher

Constructor Summary
`WrappedResponseHolder()`

Method Summary
`static HttpServletResponse` `getWrappedResponse()` Return the HttpServletResponse currently bound to the thread.
`static void` `setWrappedResponse(HttpServletResponse response)` Bind the given HttpServletResponse to the current thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedResponseHolder

    public WrappedResponseHolder()

Method Detail

### setWrappedResponse

    public static void setWrappedResponse(HttpServletResponse response)

  Bind the given HttpServletResponse to the current thread.

  Parameters:
    `response` - the HttpServletResponse to expose

### getWrappedResponse

    public static HttpServletResponse getWrappedResponse()

  Return the HttpServletResponse currently bound to the thread.

  Returns:
    the HttpServletResponse currently bound to the thread, or `null`

Copyright (c) 2005-2009 The Grails project